Skip to main content
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Connections.ScimConfiguration.Create(
        context.TODO(),
        "id",
        &management.CreateScimConfigurationRequestContent{},
    )
}
{
  "connection_id": "<string>",
  "connection_name": "<string>",
  "strategy": "<string>",
  "tenant_name": "<string>",
  "user_id_attribute": "<string>",
  "mapping": [
    {
      "auth0": "<string>",
      "scim": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_on": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to create its SCIM configuration

Body

user_id_attribute
string

User ID attribute for generating unique user ids

mapping
object[]

The mapping between auth0 and SCIM

Response

The connection's SCIM configuration was created. See Response Schemas for schema.

connection_id
string
required

The connection's identifier

connection_name
string
required

The connection's name

strategy
string
required

The connection's strategy

tenant_name
string
required

The tenant's name

user_id_attribute
string
required

User ID attribute for generating unique user ids

mapping
object[]
required

The mapping between auth0 and SCIM

created_at
string<date-time>
required

The ISO 8601 date and time the SCIM configuration was created at

updated_on
string<date-time>
required

The ISO 8601 date and time the SCIM configuration was last updated on